#!/usr/bin/perl -T -w
# $Header: /var/lib/cvsd/var/lib/cvsd/Fuzzled/src/Drivers/caarcserve6050.pl,v 1.3 2007-09-14 08:40:21 timb Exp $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
# (c) Tim Brown, 2006
# <mailto:timb@nth-dimension.org.uk>
# <http://www.nth-dimension.org.uk/> / <http://www.machine.org.uk/>

use strict;
use Fuzzled::Protocol::CAArcServe6050;

my $hostname;
my $maximumprocess;
my $debugflag;
my $caarcserve6050handle;

sub usage {
	die "usage: " . $0 . " <hostname> <maximumprocess> <debugflag>";
}

if (@ARGV != 3) {
	usage();
}
$hostname = shift;
$maximumprocess = shift;
$debugflag = shift;
if ($hostname =~ /([A-z0-9-.]+)/) {
	$hostname = $1;
} else {
	usage();
}
if ($maximumprocess =~ /([0-9]+)/) {
	$maximumprocess = $1;
} else {
	usage();
}
if ($debugflag =~ /([01])/) {
	$debugflag = $1;
} else {
	usage();
}
$caarcserve6050handle = Fuzzled::Protocol::CAArcServe6050->new($hostname, $maximumprocess, $debugflag);
$caarcserve6050handle->attack();
exit(1);
